import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        int n=nextInt();
        int[] a=new int[n];
        for (int i = 0; i < n; i++) {
            a[i]=nextInt();
        }
        int[] b=new int[n];
        Arrays.sort(a);
        for (int i = 0; i < n; i++) {
            b[i]=Math.abs(-a[i]+a[(i+1)%n]);
        }
        for (int i = 0; i < n; i++) {
            while(b[i]!=b[(i+1)%n]){
                while(b[i]>b[(i+1)%n]) b[i]-=b[(i+1)%n];
                while(b[(i+1)%n]>b[i]) b[(i+1)%n]-=b[i];
            }
        }
        out.print(b[n-1]);
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}