import java.io.*;
import java.util.*;
public class Main {

    public static void main(String[] args) throws IOException {
        int n=nextInt();
        int k=nextInt();

        int[] a=new int[n];
        char[] b=new char[n];
        b[0]='1';
        for (int i = 0; i < n; i++) {
            a[i]=nextInt();
            for (int j = i-1; j >=0; j++) {
                if(b[i]=='0') break;
                if(Math.abs(a[i]-a[j])<=k) b[j]='1';
            }
        }
        out.close();
    }
    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}